GET api/cleanroomapi/cleanroomsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_type_id": "6ee6a160-fa2e-4b63-96c0-9c7d86b13d78",
"communication_server_id": "aa0fbc5f-231b-405d-8762-49f55b8417a1",
"id": "fd53fcc5-4b5c-483a-9fdf-bd01f6e646d5",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
},
{
"active": true,
"cleanroom_type_id": "6ee6a160-fa2e-4b63-96c0-9c7d86b13d78",
"communication_server_id": "aa0fbc5f-231b-405d-8762-49f55b8417a1",
"id": "fd53fcc5-4b5c-483a-9fdf-bd01f6e646d5",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
]
application/xml, text/xml
Sample:
<ArrayOfcleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<cleanroom>
<active>true</active>
<cleanroom_type_id>6ee6a160-fa2e-4b63-96c0-9c7d86b13d78</cleanroom_type_id>
<communication_server_id>aa0fbc5f-231b-405d-8762-49f55b8417a1</communication_server_id>
<id>fd53fcc5-4b5c-483a-9fdf-bd01f6e646d5</id>
<local_id>1</local_id>
<local_name>sample string 3</local_name>
<name>sample string 4</name>
<type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>
<cleanroom>
<active>true</active>
<cleanroom_type_id>6ee6a160-fa2e-4b63-96c0-9c7d86b13d78</cleanroom_type_id>
<communication_server_id>aa0fbc5f-231b-405d-8762-49f55b8417a1</communication_server_id>
<id>fd53fcc5-4b5c-483a-9fdf-bd01f6e646d5</id>
<local_id>1</local_id>
<local_name>sample string 3</local_name>
<name>sample string 4</name>
<type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>
</ArrayOfcleanroom>